org.eclipse.jetty.webapp

## Class IterativeDescriptorProcessor

- java.lang.Object
- - org.eclipse.jetty.webapp.IterativeDescriptorProcessor

All Implemented Interfaces:
  DescriptorProcessor

Direct Known Subclasses:
  PlusDescriptorProcessor, StandardDescriptorProcessor, TagLibConfiguration.TldProcessor

    public abstract class IterativeDescriptorProcessor
    extends Object
    implements DescriptorProcessor

IterativeDescriptorProcessor

### Field Summary

Fields
`static Class<?>[]` `__signature`
`protected Map<String,Method>` `_visitors`

### Constructor Summary

Constructors
Constructor and Description
`IterativeDescriptorProcessor()`

### Method Summary

Methods
`abstract void` `end(WebAppContext context, Descriptor descriptor)`
`void` `process(WebAppContext context, Descriptor descriptor)`
`void` `registerVisitor(String nodeName, Method m)` Register a method to be called back when visiting the node with the given name.
`abstract void` `start(WebAppContext context, Descriptor descriptor)`
`protected void` `visit(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### __signature

    public static final Class<?>[] __signature

#### _visitors

    protected Map<String,Method> _visitors

### Constructor Detail

#### IterativeDescriptorProcessor

    public IterativeDescriptorProcessor()

### Method Detail

#### start

    public abstract void start(WebAppContext context,
             Descriptor descriptor)

#### end

    public abstract void end(WebAppContext context,
           Descriptor descriptor)

#### registerVisitor

    public void registerVisitor(String nodeName,
                       Method m)

Register a method to be called back when visiting the node with the given name. The method must exist on a subclass of this class, and must have the signature: public void method (Descriptor descriptor, XmlParser.Node node)

Parameters:
  `nodeName` -
  `m` -

#### process

    public void process(WebAppContext context,
               Descriptor descriptor)
                 throws Exception

Specified by:
  `process` in interface `DescriptorProcessor`
Throws:
  `Exception`

#### visit

    protected void visit(WebAppContext context,
             Descriptor descriptor,
             XmlParser.Node node)
                  throws Exception

Throws:
  `Exception`